[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: utmp/wtmp changes from libc5 to libc6

> _if_ LGPL aplies, yes. But apparently the ssh guys were wrong about
> that, and gmp-2.0.2 uses GPL, not LGPL. But maybe gmp 2.0 used LGPL, that
> would be pity. Otherwise ssh really is GPL!

I believe there's already a bug report about the debian gmp package
having the wrong copyright information.

So, I checked mirror/stable/source/devel/gmp_2.0.2.orig.tar.gz, Makefile.in:

# The GNU MP Library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Library General Public License as published by
# the Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.

COPYING.LIB is also included, not COPYING.  As of debian package
2.0.2-2, debian/copyright says

+IMPORTANT NOTE: Programs you build using GNU MP become covered by the
+GNU General Public Licence (GPL), because GNU MP is not licensed under the
+GNU Library General Public Licence (LGPL) instead of the normal one.

but that is *WRONG*, though it may have been correct for 1.3.2 which
is what it describes elsewhere in the file as what was packaged...

TO UNSUBSCRIBE FROM THIS MAILING LIST: e-mail the word "unsubscribe" to
debian-devel-request@lists.debian.org . 
Trouble?  e-mail to templin@bucknell.edu .

Reply to: